/*
 * Decompiled with CFR 0.152.
 */
package com.jiuqi.util;

import com.jiuqi.util.Base64;
import com.jiuqi.util.IniFile;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;

public abstract class CustomIniFile
implements IniFile {
    public void writeInteger(String section, String ident, Integer value) {
        this.writeString(section, ident, value == null ? "0" : value.toString());
    }

    public void writeint(String section, String ident, int value) {
        this.writeString(section, ident, Integer.toString(value));
    }

    public void writeLong(String section, String ident, Long value) {
        this.writeString(section, ident, value == null ? "0" : value.toString());
    }

    public void writelong(String section, String ident, long value) {
        this.writeString(section, ident, Long.toString(value));
    }

    public void writeDouble(String section, String ident, Double value) {
        this.writeString(section, ident, value == null ? "0" : value.toString());
    }

    public void writedouble(String section, String ident, double value) {
        this.writeString(section, ident, Double.toString(value));
    }

    public void writeFloat(String section, String ident, Float value) {
        this.writeString(section, ident, value == null ? "0" : value.toString());
    }

    public void writefloat(String section, String ident, float value) {
        this.writeString(section, ident, Float.toString(value));
    }

    public void writeBoolean(String section, String ident, Boolean value) {
        this.writeString(section, ident, value == null ? "0" : (value != false ? "1" : "0"));
    }

    public void writeboolean(String section, String ident, boolean value) {
        this.writeBoolean(section, ident, new Boolean(value));
    }

    public void writeBytes(String section, String ident, byte[] value) {
        String s = value == null ? "" : new String(Base64.byteArrayToBase64(value));
        this.writeString(section, ident, s);
    }

    public Integer readInteger(String section, String ident, Integer defvalue) {
        String s = this.readString(section, ident, "");
        if (s == null || s.equals("")) {
            return defvalue;
        }
        return new Integer(s);
    }

    public int readint(String section, String ident, int defvalue) {
        return this.readInteger(section, ident, new Integer(defvalue));
    }

    public Long readLong(String section, String ident, Long defvalue) {
        String s = this.readString(section, ident, "");
        if (s == null || s.equals("")) {
            return defvalue;
        }
        return new Long(s);
    }

    public long readlong(String section, String ident, long defvalue) {
        return this.readLong(section, ident, new Long(defvalue));
    }

    public Double readDouble(String section, String ident, Double defvalue) {
        String s = this.readString(section, ident, "");
        if (s == null || s.equals("")) {
            return defvalue;
        }
        return new Double(s);
    }

    public double readdouble(String section, String ident, double defvalue) {
        return this.readDouble(section, ident, new Double(defvalue));
    }

    public Boolean readBoolean(String section, String ident, Boolean defvalue) {
        return new Boolean(this.readboolean(section, ident, defvalue == null ? false : defvalue));
    }

    public boolean readboolean(String section, String ident, boolean defvalue) {
        String s = this.readString(section, ident, "");
        return s == null || s.equals("") ? defvalue : !s.equals("0");
    }

    public byte[] readBytes(String section, String ident, byte[] defvalue) {
        String s = this.readString(section, ident, "");
        return Base64.base64ToByteArray(s);
    }

    public byte[] getBytes() {
        ByteArrayOutputStream stream = new ByteArrayOutputStream();
        this.saveToStream(stream);
        return stream.toByteArray();
    }

    public void setBytes(byte[] value) {
        ByteArrayInputStream stream = new ByteArrayInputStream(value);
        this.loadFromStream(stream);
    }
}

